import { __assign } from "tslib";
import { LogLevel } from './logger';
/**
 * Prepare the configuration options.
 * @param config - user config
 * @internal
 */
export function prepareConfig(config) {
    var cache = {};
    return {
        compile: __assign({}, config.compile),
        resolve: __assign({ extensions: ['.ts', '.tsx', '.js', '.cjs', '.mjs'], mainFields: ['browser', 'module', 'import', 'jsnext:main', 'main'], conditionNames: ['browser', 'module', 'import', 'node', 'default'] }, config.resolve),
        cache: __assign({ disabled: false, provider: {
                get: function (key) { return Promise.resolve(cache[key]); },
                set: function (key, value) { return cache[key] = value; }
            } }, config.cache),
        logLevel: config.logLevel || LogLevel.warn,
        cwd: config.cwd || process.cwd()
    };
}
//# sourceMappingURL=options.js.map